Update an existing supplier
Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.
In: header
Path Parameters
Supplier UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/suppliers/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "businessId": "string", "nameHe": "string", "nameEn": "string", "businessNumber": "string", "vatNumber": "string", "email": "string", "phone": "string", "address": "string", "city": "string", "website": "string", "contactPerson": "string", "defaultCategoryId": "string", "vatRecognitionRate": 0, "incomeTaxRecognitionRate": 0, "defaultCurrency": "string", "paymentTermsDays": 0, "isActive": true, "isFavorite": true, "expenseCount": 0, "totalExpenseAmount": 0, "lastExpenseDate": "2019-08-24T14:15:22Z", "source": "manual", "metadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}
